Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface AssociationQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterQueryType, org.eclipse.emf.common.notify.Notifier, RegistryObjectQueryType

All Known Implementing Classes:
  AssociationQueryTypeImpl

    public interface AssociationQueryType

extends RegistryObjectQueryType

A representation of the model object 'Association Query Type'.

The following features are supported:

- `Association Type Query`
- `Source Object Query`
- `Target Object Query`

See Also:
  `QueryPackage.getAssociationQueryType()`

Method Summary
`ClassificationNodeQueryType` | `getAssociationTypeQuery()` Returns the value of the 'Association Type Query' containment reference.
`RegistryObjectQueryType` | `getSourceObjectQuery()` Returns the value of the 'Source Object Query' containment reference.
`RegistryObjectQueryType` | `getTargetObjectQuery()` Returns the value of the 'Target Object Query' containment reference.
`void` | `setAssociationTypeQuery(ClassificationNodeQueryType value)` Sets the value of the '`Association Type Query`' containment reference.
`void` | `setSourceObjectQuery(RegistryObjectQueryType value)` Sets the value of the '`Source Object Query`' containment reference.
`void` | `setTargetObjectQuery(RegistryObjectQueryType value)` Sets the value of the '`Target Object Query`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.RegistryObjectQueryType
`getClassificationQuery, getDescriptionBranch, getExternalIdentifierQuery, getNameBranch, getObjectTypeQuery, getSlotBranch, getSourceAssociationQuery, getStatusQuery, getTargetAssociationQuery, getVersionInfoFilter, setDescriptionBranch, setNameBranch, setObjectTypeQuery, setStatusQuery, setVersionInfoFilter`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAssociationTypeQuery

    ClassificationNodeQueryType getAssociationTypeQuery()

  Returns the value of the 'Association Type Query' containment reference.

  If the meaning of the 'Association Type Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association Type Query' containment reference.
  See Also:
    `setAssociationTypeQuery(ClassificationNodeQueryType)`, `QueryPackage.getAssociationQueryType_AssociationTypeQuery()`

### setAssociationTypeQuery

    void setAssociationTypeQuery(ClassificationNodeQueryType value)

  Sets the value of the '`Association Type Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Association Type Query' containment reference.
  See Also:
    `getAssociationTypeQuery()`

### getSourceObjectQuery

    RegistryObjectQueryType getSourceObjectQuery()

  Returns the value of the 'Source Object Query' containment reference.

  If the meaning of the 'Source Object Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Object Query' containment reference.
  See Also:
    `setSourceObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getAssociationQueryType_SourceObjectQuery()`

### setSourceObjectQuery

    void setSourceObjectQuery(RegistryObjectQueryType value)

  Sets the value of the '`Source Object Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Source Object Query' containment reference.
  See Also:
    `getSourceObjectQuery()`

### getTargetObjectQuery

    RegistryObjectQueryType getTargetObjectQuery()

  Returns the value of the 'Target Object Query' containment reference.

  If the meaning of the 'Target Object Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Object Query' containment reference.
  See Also:
    `setTargetObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getAssociationQueryType_TargetObjectQuery()`

### setTargetObjectQuery

    void setTargetObjectQuery(RegistryObjectQueryType value)

  Sets the value of the '`Target Object Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Target Object Query' containment reference.
  See Also:
    `getTargetObjectQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD